var Dfe58000_ManifestacaoDestinatario_Service = function(localStorageEngine, Dfe58000_ManifestacaoDestinatario_Repositories, General, ScreenService) {
    
    var getDataSourceConfigTransmissao = function() {
        return localStorageEngine.getDataSource("df_entrada#/config_manifestacao").then(function(transmissao){
            return transmissao[0].config;
        });
    };
    
    this.openConsultaNsuNfe = function(widget, wdgNsu) {
        
        return getDataSourceConfigTransmissao().then(function(config){
            var today = moment().format('DD/MM/YYYY');
            wdgNsu.currentRow.DTRECBTO = {};
            wdgNsu.currentRow.DTRECBTO.start = today.replace(today.substr(0,2), "01");
            wdgNsu.currentRow.DTRECBTO.end   = today;
        
            wdgNsu.widgets[0].dataSourceFilter[0].value = config.cnpj;
            wdgNsu.widgets[0].dataSourceFilter[1].value = config.tpAmb;
            wdgNsu.widgets[0].dataSourceFilter[2].value = today.replace(today.substr(0,2), "01");
            wdgNsu.widgets[0].dataSourceFilter[3].value = today;
            ScreenService.openPopup(wdgNsu);
            
            wdgNsu.widgets[0].activate();
            wdgNsu.widgets[0].list();
            wdgNsu.widgets[0].reload();
        });
    };
             

    this.montaConfigTransmissao = function(row){
        return Dfe58000_ManifestacaoDestinatario_Repositories.montaConfigTransmissao(row);
    };

    this.manifestarNfe = function (notasfiscais, evento, justificativa) {
        return getDataSourceConfigTransmissao().then(function(config){
            return Dfe58000_ManifestacaoDestinatario_Repositories.manifestarNfe(notasfiscais, config, evento, justificativa);
        });
    };

    this.gerarXML = function (notasfiscais) {
        return getDataSourceConfigTransmissao().then(function(config){
            var filter = [
                {
                    "name": "NOTAS",
                    "operator": "=",
                    "value": notasfiscais
                },
                {
                    "name": "CONFIG",
                    "operator": "=",
                    "value": config
                }
            ];
            return General.callRestEngine("df_entrada#/gerarXmlNfeManifestacao", "FilterData", filter);
        });
    };

    this.sincronizarNFe = function (row) {
        return getDataSourceConfigTransmissao().then(function(config){
            return Dfe58000_ManifestacaoDestinatario_Repositories.sincronizarNFe(config, row);
        });
    };
};

Configuration(function(ContextRegister) {
    ContextRegister.register("Dfe58000_ManifestacaoDestinatario_Service", Dfe58000_ManifestacaoDestinatario_Service);
});